$1  PROCEDURE [dbo].[KASIYER_INDIRIM_ARTTIRIM]
@aktif_kullanici varchar(25)='',
@magaza_no_liste StringList READONLY,
@baslangic_tarih dateTime,
@bitis_tarih datetime
AS
SELECT 
	mgz_isim AS Mağazaİsmi,
	evr_kasiyer_no AS KasiyerNo,
	kln_isim AS Kasiyerİsim,
	cari_kodu AS CariKodu,
	cari_unvan1 AS Cariİsim,
	ROUND(har_yekun,2) AS Yekün,
	har_aratoplam_indirim_oran AS İndirimOranı,
	har_aratoplam_iskonto_tutar AS İndirimTutar,
	har_aratoplam_arttirim_oran AS ArttırımOranı,
	har_aratoplam_arttirim_tutar AS ArttırımTutar
FROM EVRAK_HAREKET_BILGI WITH(NOLOCK)
INNER JOIN EVRAK_UST_BILGI WITH(NOLOCK) ON evr_RECno=har_evrak_rec_id
LEFT OUTER JOIN MAGAZA_TANIMLARI WITH(NOLOCK) ON mgz_kod=evr_magaza_kod
LEFT OUTER JOIN KULLANICILAR WITH(NOLOCK) ON kln_RECno=evr_kasiyer_no
LEFT OUTER JOIN CARI_HESAPLAR  WITH(NOLOCK) ON cari_kodu=evr_cari_kod
WHERE	evr_belge_tur in (1,2,3) AND (((select COUNT(Item) from @magaza_no_liste)>0 AND 
		evr_magaza_kod IN (select Item from @magaza_no_liste)) OR (select Count(Item) from @magaza_no_liste)<=0) AND  
		CONVERT(DATE,@baslangic_tarih)<=CONVERT(DATE,evr_evrak_tarih) and CONVERT(DATE,evr_evrak_tarih)<=CONVERT(DATE,@bitis_tarih)
		AND (evr_magaza_kod=dbo.fn_AktifKullaniciMagazaGetir(@aktif_kullanici) OR @aktif_kullanici=0)